#
# spec file for package fcitx5-mcbopomofo
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fcitx5-mcbopomofo
Version:        2.8.1
Release:        8.1
Summary:        McBopomofo for Fcitx 5
License:        MIT
URL:            https://github.com/openvanilla/fcitx5-mcbopomofo
Source0:        https://github.com/openvanilla/fcitx5-mcbopomofo/archive/refs/tags/%version.tar.gz
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
%if 0%{?suse_version} == 1500
BuildRequires:  gcc13-c++
%else
BuildRequires:  gcc-c++
%endif
BuildRequires:  pkgconfig(Fcitx5Core)
BuildRequires:  pkgconfig(Fcitx5Module)
BuildRequires:  pkgconfig(Fcitx5Utils)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(json-c)
Requires:       fcitx5

%description
McBopomofo for Fcitx 5

%prep
%setup -q

%build
%if 0%{?suse_version} == 1500
export CXX=/usr/bin/g++-13
%endif
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DENABLE_TEST=Off
%cmake_build

%install
%cmake_install
chmod a+x %{buildroot}/%{_datadir}/fcitx5/data/mcbopomofo-add-phrase-hook.sh
%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/fcitx5/mcbopomofo.so
%{_datadir}/fcitx5/addon/mcbopomofo.conf
%{_datadir}/fcitx5/data/mcbopomofo-add-phrase-hook.sh
%{_datadir}/fcitx5/data/mcbopomofo-associated-phrases-v2.txt
%{_datadir}/fcitx5/data/mcbopomofo-data-plain-bpmf.txt
%{_datadir}/fcitx5/data/mcbopomofo-data.txt
%{_datadir}/fcitx5/data/mcbopomofo-dictionary-service.json
%{_datadir}/fcitx5/inputmethod/mcbopomofo-plain.conf
%{_datadir}/fcitx5/inputmethod/mcbopomofo.conf
%{_datadir}/icons/hicolor/24x24/apps/fcitx-mcbopomofo.png
%{_datadir}/icons/hicolor/24x24/apps/org.fcitx.Fcitx5.fcitx-mcbopomofo.png
%{_datadir}/icons/hicolor/32x32/apps/fcitx-mcbopomofo.png
%{_datadir}/icons/hicolor/32x32/apps/org.fcitx.Fcitx5.fcitx-mcbopomofo.png
%{_datadir}/icons/hicolor/64x64/apps/fcitx-mcbopomofo.png
%{_datadir}/icons/hicolor/64x64/apps/org.fcitx.Fcitx5.fcitx-mcbopomofo.png
%{_datadir}/metainfo/org.fcitx.Fcitx5.Addon.McBopomofo.metainfo.xml

%license LICENSE.txt
%doc README.md

%changelog
* Sat Feb  8 2025 Hsiu-Ming Chang <cges30901@gmail.com>
- Fix
* Sat Feb  8 2025 Hsiu-Ming Chang <cges30901@gmail.com>
- Fix build
* Thu Feb  6 2025 Hsiu-Ming Chang <cges30901@gmail.com>
- Fix
* Thu Feb  6 2025 Hsiu-Ming Chang <cges30901@gmail.com>
- Fix
* Thu Feb  6 2025 Hsiu-Ming Chang <cges30901@gmail.com>
- Initial build
